Bug 537569 - unnecessary dependencies on subpackages
Summary: unnecessary dependencies on subpackages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libproxy
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-14 15:34 UTC by Enrico Scholz
Modified: 2010-04-22 22:48 UTC (History)
1 user (show)

Fixed In Version: libproxy-0.3.1-4.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-22 22:48:28 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2009-11-14 15:34:53 UTC
Description of problem:

The core package contains a heavy dependency on libproxy-python.  This subpackage is not needed for core functionality and the %description

|    * extremely small core footprint (< 35K)

does not hold either because python is >24MB ;)  

Anything which uses the python bindings will have listed them in its Requires:.

Ditto for libproxy-bin; this is a demo program only which is not needed for core functionality.

I am not sure why the explicit Requires: were added but when you want to provide a full-featured standard installation, you might put the libs into a -libs subpackage and create a core package which requires -libs, -python, -bin nd -plugins (see below).


I suggest to package the 'networkmanager' plugin separately (it adds deps on libdbus, is not needed for core functionality and violates %description hence).



Version-Release number of selected component (if applicable):

libproxy-0.3.0-1

Comment 1 Nicolas Chauvet (kwizart) 2009-11-14 15:48:49 UTC
> * extremely small core footprint (< 35K)
This is for libproxy itself. But if for any usage, libproxy will requires a javascript runner such as xulrunner or webkit, so footprint of dependencies are not involved in the computation.
So If you have dependency footprint concern, I would advice you not to build any package against libproxy at all.

using libproxy-libs doesn't make sense.

Requires on libproxy-bin can be avoided.

Comment 2 Enrico Scholz 2009-11-14 16:05:26 UTC
as far as I understand libproxy, it uses plugins to determine proxy server address.  There are simple plugins (like this which reads $http_proxy et.al. env) and complex ones (which interpret javascript pac files).

So, it depends on your use case whether you get a small footprint (core libs + env plugin), or whether you require a huge dependency chain.

A package should support both use cases and avoid unneeded dependencies.

Comment 3 Bug Zapper 2009-11-16 15:32:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora Update System 2010-03-25 23:50:38 UTC
libproxy-0.3.1-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libproxy-0.3.1-4.fc13

Comment 5 Fedora Update System 2010-04-01 19:27:06 UTC
libproxy-0.3.1-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libproxy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libproxy-0.3.1-4.fc13

Comment 6 Fedora Update System 2010-04-22 22:48:19 UTC
libproxy-0.3.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.